<template>
    <lightning-card>
        <h3 slot="title">
            <lightning-icon icon-name="custom:custom58" size="small"></lightning-icon>
            &nbsp;Step 2: Provider Address
        </h3>
        <template if:false={pcpSelected}>
            <p class="slds-p-horizontal_small"> Please search for and select your Provider. Once complete, you can select your provider's location.</p>
        </template>
    <!-- <p>Select the address that the patient sees his/her PCP from the list below. Once you have selected the address, close this tab, go back to the PCP section of the registration form, and click 'Refresh'.</p> -->
    <template if:true={noAddresses}>
        <p class="slds-p-horizontal_small"> This PCP has no locations in the system.</p>
    </template>
    <template if:false={noAddresses}>
        <template if:true={addresses}>
            <lightning-layout-item padding="around-small">
                <lightning-card> 
                    <lightning-map
                        map-markers={mapMarkers}
                        markers-title="Provider Locations"
                        onmarkerselect={handleMarkerSelect}
                        zoom-level={zoomLevel}
                        list-view="visible"
                        >
                    </lightning-map>
                </lightning-card>
            </lightning-layout-item>
        </template>
    </template>
</lightning-card>
</template>